Categories:
  - System
License: LGPL-2.1-only
AuthorName: Fcitx5 for Android Contributors
WebSite: https://fcitx5-android.github.io
SourceCode: https://github.com/fcitx5-android/fcitx5-android
IssueTracker: https://github.com/fcitx5-android/fcitx5-android/issues
Translation: https://explore.transifex.com/fcitx/fcitx5-android

AutoName: Fcitx5 for Android (Jyutping Plugin)

RepoType: srclib
Repo: fcitx5-android

Builds:
  - versionName: 0.0.8-0-g4c8399ad
    versionCode: 61
    commit: 4c8399ad8fdcf57e79b7f4a8514bebfabb79e143
    subdir: plugin/jyutping
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ make cmake xz-utils bzip2 extra-cmake-modules gettext
        pkg-config ninja-build libfmt-dev libboost-all-dev cabal-install ghc libghc-shake-dev
        opencc libghc-js-flot-data haskell-js-dgtable-utils automake libghc-aeson-pretty-dev
        libtool openjdk-17-jdk-headless
      - update-java-alternatives -a
      - apt-get install -y -t bullseye-backports libfcitx5utils-dev
    gradle:
      - yes
    binary: https://github.com/fcitx5-android/fcitx5-android/releases/download/0.0.8/org.fcitx.fcitx5.android.plugin.jyutping-%v-armeabi-v7a-release.apk
    srclibs:
      - fcitx5-android-prebuilder@868672e1b1ced9d6b46a5f7629a97718ec5a3042
    rm:
      - lib/fcitx5/src/main/cpp/prebuilt
    prebuild:
      - cp -R ../../gradle .
      - cd ../..
      - sdkmanager 'cmake;3.22.1'
      - buildTimestamp=$(curl -L https://github.com/fcitx5-android/fcitx5-android/releases/download/0.0.8/build-metadata.json
        | sed -n -E 's/.*timestamp.*"(.*)"$/\1/p')
      - echo -e "\nbuildTimestamp=$buildTimestamp" >> gradle.properties
      - sed -i -e '/ImportQualifiedPost/d' $$fcitx5-android-prebuilder$$/src/Main.hs
      - sed -i -e 's/import \(.*\) qualified as/import qualified \1 as/g' $$fcitx5-android-prebuilder$$/src/*.hs
      - sed -i -e 's|https://maven.pkg.github.com|https://jitpack.io|g' build-logic/convention/build.gradle.kts
        lib/*/build.gradle.kts
    scanignore:
      - lib/fcitx5/src/main/cpp/fcitx5/src/modules/unicode/charselectdata
    scandelete:
      - build-logic/convention/build
    build:
      - pushd $$fcitx5-android-prebuilder$$
      - cabal configure --disable-library-vanilla --enable-shared --enable-executable-dynamic
        --ghc-options=-dynamic
      - ABI=armeabi-v7a ANDROID_NDK_ROOT=$$NDK$$ CMAKE_VERSION=3.22.1 ANDROID_PLATFORM=23
        ./build-cabal -j fmt libevent libintl-lite boost marisa opencc libime lua
        chinese-addons-data zstd libime-jyutping
      - popd
      - mv $$fcitx5-android-prebuilder$$/build ../../lib/fcitx5/src/main/cpp/prebuilt
    ndk: 25.2.9519653
    gradleprops:
      - buildABI=armeabi-v7a

  - versionName: 0.0.8-0-g4c8399ad
    versionCode: 62
    commit: 4c8399ad8fdcf57e79b7f4a8514bebfabb79e143
    subdir: plugin/jyutping
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ make cmake xz-utils bzip2 extra-cmake-modules gettext
        pkg-config ninja-build libfmt-dev libboost-all-dev cabal-install ghc libghc-shake-dev
        opencc libghc-js-flot-data haskell-js-dgtable-utils automake libghc-aeson-pretty-dev
        libtool openjdk-17-jdk-headless
      - update-java-alternatives -a
      - apt-get install -y -t bullseye-backports libfcitx5utils-dev
    gradle:
      - yes
    binary: https://github.com/fcitx5-android/fcitx5-android/releases/download/0.0.8/org.fcitx.fcitx5.android.plugin.jyutping-%v-arm64-v8a-release.apk
    srclibs:
      - fcitx5-android-prebuilder@868672e1b1ced9d6b46a5f7629a97718ec5a3042
    rm:
      - lib/fcitx5/src/main/cpp/prebuilt
    prebuild:
      - cp -R ../../gradle .
      - cd ../..
      - sdkmanager 'cmake;3.22.1'
      - buildTimestamp=$(curl -L https://github.com/fcitx5-android/fcitx5-android/releases/download/0.0.8/build-metadata.json
        | sed -n -E 's/.*timestamp.*"(.*)"$/\1/p')
      - echo -e "\nbuildTimestamp=$buildTimestamp" >> gradle.properties
      - sed -i -e '/ImportQualifiedPost/d' $$fcitx5-android-prebuilder$$/src/Main.hs
      - sed -i -e 's/import \(.*\) qualified as/import qualified \1 as/g' $$fcitx5-android-prebuilder$$/src/*.hs
      - sed -i -e 's|https://maven.pkg.github.com|https://jitpack.io|g' build-logic/convention/build.gradle.kts
        lib/*/build.gradle.kts
    scanignore:
      - lib/fcitx5/src/main/cpp/fcitx5/src/modules/unicode/charselectdata
    scandelete:
      - build-logic/convention/build
    build:
      - pushd $$fcitx5-android-prebuilder$$
      - cabal configure --disable-library-vanilla --enable-shared --enable-executable-dynamic
        --ghc-options=-dynamic
      - ABI=arm64-v8a ANDROID_NDK_ROOT=$$NDK$$ CMAKE_VERSION=3.22.1 ANDROID_PLATFORM=23
        ./build-cabal -j fmt libevent libintl-lite boost marisa opencc libime lua
        chinese-addons-data zstd libime-jyutping
      - popd
      - mv $$fcitx5-android-prebuilder$$/build ../../lib/fcitx5/src/main/cpp/prebuilt
    ndk: 25.2.9519653
    gradleprops:
      - buildABI=arm64-v8a

  - versionName: 0.0.8-0-g4c8399ad
    versionCode: 63
    commit: 4c8399ad8fdcf57e79b7f4a8514bebfabb79e143
    subdir: plugin/jyutping
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ make cmake xz-utils bzip2 extra-cmake-modules gettext
        pkg-config ninja-build libfmt-dev libboost-all-dev cabal-install ghc libghc-shake-dev
        opencc libghc-js-flot-data haskell-js-dgtable-utils automake libghc-aeson-pretty-dev
        libtool openjdk-17-jdk-headless
      - update-java-alternatives -a
      - apt-get install -y -t bullseye-backports libfcitx5utils-dev
    gradle:
      - yes
    binary: https://github.com/fcitx5-android/fcitx5-android/releases/download/0.0.8/org.fcitx.fcitx5.android.plugin.jyutping-%v-x86-release.apk
    srclibs:
      - fcitx5-android-prebuilder@868672e1b1ced9d6b46a5f7629a97718ec5a3042
    rm:
      - lib/fcitx5/src/main/cpp/prebuilt
    prebuild:
      - cp -R ../../gradle .
      - cd ../..
      - sdkmanager 'cmake;3.22.1'
      - buildTimestamp=$(curl -L https://github.com/fcitx5-android/fcitx5-android/releases/download/0.0.8/build-metadata.json
        | sed -n -E 's/.*timestamp.*"(.*)"$/\1/p')
      - echo -e "\nbuildTimestamp=$buildTimestamp" >> gradle.properties
      - sed -i -e '/ImportQualifiedPost/d' $$fcitx5-android-prebuilder$$/src/Main.hs
      - sed -i -e 's/import \(.*\) qualified as/import qualified \1 as/g' $$fcitx5-android-prebuilder$$/src/*.hs
      - sed -i -e 's|https://maven.pkg.github.com|https://jitpack.io|g' build-logic/convention/build.gradle.kts
        lib/*/build.gradle.kts
    scanignore:
      - lib/fcitx5/src/main/cpp/fcitx5/src/modules/unicode/charselectdata
    scandelete:
      - build-logic/convention/build
    build:
      - pushd $$fcitx5-android-prebuilder$$
      - cabal configure --disable-library-vanilla --enable-shared --enable-executable-dynamic
        --ghc-options=-dynamic
      - popd ./build-cabal -j fmt libevent libintl-lite boost marisa opencc libime
        lua chinese-addons-data zstd libime-jyutping ./build-cabal -j fmt libevent
        libintl-lite libjyutping
      - popd
      - mv $$fcitx5-android-prebuilder$$/build ../../lib/fcitx5/src/main/cpp/prebuilt
    ndk: 25.2.9519653
    gradleprops:
      - buildABI=x86

  - versionName: 0.0.8-0-g4c8399ad
    versionCode: 64
    commit: 4c8399ad8fdcf57e79b7f4a8514bebfabb79e143
    subdir: plugin/jyutping
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ make cmake xz-utils bzip2 extra-cmake-modules gettext
        pkg-config ninja-build libfmt-dev libboost-all-dev cabal-install ghc libghc-shake-dev
        opencc libghc-js-flot-data haskell-js-dgtable-utils automake libghc-aeson-pretty-dev
        libtool openjdk-17-jdk-headless
      - update-java-alternatives -a
      - apt-get install -y -t bullseye-backports libfcitx5utils-dev
    gradle:
      - yes
    binary: https://github.com/fcitx5-android/fcitx5-android/releases/download/0.0.8/org.fcitx.fcitx5.android.plugin.jyutping-%v-x86_64-release.apk
    srclibs:
      - fcitx5-android-prebuilder@868672e1b1ced9d6b46a5f7629a97718ec5a3042
    rm:
      - lib/fcitx5/src/main/cpp/prebuilt
    prebuild:
      - cp -R ../../gradle .
      - cd ../..
      - sdkmanager 'cmake;3.22.1'
      - buildTimestamp=$(curl -L https://github.com/fcitx5-android/fcitx5-android/releases/download/0.0.8/build-metadata.json
        | sed -n -E 's/.*timestamp.*"(.*)"$/\1/p')
      - echo -e "\nbuildTimestamp=$buildTimestamp" >> gradle.properties
      - sed -i -e '/ImportQualifiedPost/d' $$fcitx5-android-prebuilder$$/src/Main.hs
      - sed -i -e 's/import \(.*\) qualified as/import qualified \1 as/g' $$fcitx5-android-prebuilder$$/src/*.hs
      - sed -i -e 's|https://maven.pkg.github.com|https://jitpack.io|g' build-logic/convention/build.gradle.kts
        lib/*/build.gradle.kts
    scanignore:
      - lib/fcitx5/src/main/cpp/fcitx5/src/modules/unicode/charselectdata
    scandelete:
      - build-logic/convention/build
    build:
      - pushd $$fcitx5-android-prebuilder$$
      - cabal configure --disable-library-vanilla --enable-shared --enable-executable-dynamic
        --ghc-options=-dynamic
      - ABI=x86_64 ANDROID_NDK_ROOT=$$NDK$$ CMAKE_VERSION=3.22.1 ANDROID_PLATFORM=23
        ./build-cabal -j fmt libevent libintl-lite boost marisa opencc libime lua
        chinese-addons-data zstd libime-jyutping
      - popd
      - mv $$fcitx5-android-prebuilder$$/build ../../lib/fcitx5/src/main/cpp/prebuilt
    ndk: 25.2.9519653
    gradleprops:
      - buildABI=x86_64

AllowedAPKSigningKeys: e4db1e9edff13629d07de4bbf8165fe9bd8557ab55092672da8e40dbe484ecd7

AutoUpdateMode: None
UpdateCheckMode: HTTP
VercodeOperation:
  - 10 * %c + 1
  - 10 * %c + 2
  - 10 * %c + 3
  - 10 * %c + 4
UpdateCheckData: https://raw.githubusercontent.com/fcitx5-android/fcitx5-android/master/build-logic/convention/src/main/kotlin/Versions.kt|baseVersionCode
  = (\d+)|https://github.com/fcitx5-android/fcitx5-android/releases/latest/download/build-metadata.plugin.jyutping.json|"versionName":\s"(.*)"
CurrentVersion: 0.0.8-0-g4c8399ad
CurrentVersionCode: 64
